Skip to main content
POST
/
api
/
apps
/
v1
/
apps
/
{appId}
/
versions
/
{versionId}
/
start
Start App Version (v1)
curl --request POST \
  --url https://api.example.com/api/apps/v1/apps/{appId}/versions/{versionId}/start \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "deployment": {
    "hardwareTierId": "<string>",
    "renderIFrame": true,
    "vanityUrl": "<string>"
  }
}
'
{
  "createdAt": 123,
  "id": "<string>",
  "tags": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "updatedAt": 123,
  "bundle": {
    "id": "<string>",
    "name": "<string>"
  },
  "content": {
    "mountDatasets": true,
    "dataPlaneId": "<string>",
    "dfsCommitId": "<string>",
    "entryScript": "<string>",
    "environmentId": "<string>",
    "environmentRevisionId": "<string>",
    "extendedIdentityPropagationToAppsEnabled": true,
    "externalVolumeMountIds": [
      "<string>"
    ],
    "gitRef": {
      "value": "<string>"
    },
    "netAppVolumeIds": [
      "<string>"
    ],
    "resolvedCommits": {
      "dfsCommitId": "<string>",
      "gitCommitId": "<string>",
      "importedGitRepos": [
        {
          "ref": "<string>",
          "repoId": "<string>",
          "repoName": "<string>"
        }
      ],
      "importedProjects": [
        {
          "commitId": "<string>",
          "directoryName": "<string>",
          "ownerId": "<string>",
          "projectId": "<string>",
          "projectName": "<string>",
          "release": "<string>"
        }
      ]
    }
  },
  "currentInstance": {
    "createdAt": 123,
    "id": "<string>",
    "status": "<string>",
    "describeUrl": "<string>",
    "dfsCommitId": "<string>",
    "gitCommitId": "<string>",
    "publisher": {
      "id": "<string>",
      "name": "<string>"
    }
  },
  "deployment": {
    "autoscalingSpecification": {
      "enabled": true,
      "maxReplicas": 15,
      "minReplicas": 15,
      "scaleDownStabilizationWindowSeconds": 1800,
      "scaleUpStabilizationWindowSeconds": 1800,
      "targetCpuAvgUtilizationPct": 50,
      "targetMemoryAvgUtilizationPct": 50,
      "useSessionAffinity": true
    },
    "hardwareTierId": "<string>",
    "vanityUrl": "<string>"
  },
  "description": "<string>",
  "versionNumber": 123
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

appId
string
required
versionId
string
required

Body

application/json

Deployment-only launch overrides. Send {} if no overrides are needed.

Deployment overrides applied at launch. deployment.hardwareTierId and deployment.autoscalingSpecification are mirrored back to the version so it always reflects the last launch. deployment.vanityUrl and deployment.renderIFrame write back to the App on published starts and are rejected with 422 on draft starts.

deployment
object

Deployment overrides for this launch.

Response

Success

createdAt
number<epoch>
required
id
string
required
tags
object[]
required
updatedAt
number<epoch>
required
bundle
object
content
object

Reproducibility fields that define the version's content.

currentInstance
object
deployment
object

Execution settings for the version.

description
string
versionNumber
integer<int64>

Monotonically increasing version number derived from creationOrder.